Skip to main content
`Ctrl`+`K`

# DMGetCellCoordinatesLocal

Gets a local vector with the cellwise coordinates associated with the `DM`.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetCellCoordinatesLocal(DM dm, Vec *c)

Collective

## Input Parameter

- dm - the `DM`

## Output Parameter

- c - coordinate vector

## Notes

This is a borrowed reference, so the user should NOT destroy this vector

Each process has the local and ghost coordinates

## See Also

`DM`, `DMSetCellCoordinatesLocal()`, `DMGetCellCoordinates()`, `DMSetCellCoordinates()`, `DMGetCellCoordinateDM()`, `DMGetCellCoordinatesLocalNoncollective()`

## Level

intermediate

## Location

src/dm/interface/dmcoordinates.c

## Examples

src/dm/impls/plex/tutorials/ex8.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages